//go:generate wire
//go:build wireinject

package whoop

import (
	"github.com/google/wire"
)

var configSet = wire.NewSet(ProvideConfig, ProvideWhoopConfig)

func InjectConfig() (*Config, error) {
	wire.Build(configSet)
	return &Config{}, nil
}

func InjectOauthConfig() (*OauthConfig, error) {
	wire.Build(configSet)
	return &OauthConfig{}, nil
}
